<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/25/2010 *
 * ===================                          Last change: 07/25/2010 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : profile_functions.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Special functions for profile extension          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Spezielle Funktion fuer profile-Erweiterung      *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// ----------------------------------------------------------------------------
//                             Wrapper functions
// ----------------------------------------------------------------------------

// Getter for profile_update
function getProfileUpdate () {
	// Do we have cache?
	if (!isset($GLOBALS['profile_update'])) {
		// Determine it
		$GLOBALS['profile_update'] = getConfig('profile_update');
	} // END - if

	// Return cache
	return $GLOBALS['profile_update'];
}

// Getter for resend_profile_update
function getResendProfileUpdate () {
	// Do we have cache?
	if (!isset($GLOBALS['resend_profile_update'])) {
		// Determine it
		$GLOBALS['resend_profile_update'] = getConfig('resend_profile_update');
	} // END - if

	// Return cache
	return $GLOBALS['resend_profile_update'];
}

// [EOF]
?>
